Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Next generation Beep Media Player
Name:		bmpx
Version:	0.40.13
Release:	2
License:	GNU/GPL
URL:		http://bmpx.berlios.de
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Patch0:		bmpx-0.40.13-gcc4.patch
Patch1:		bmpx-libsoup24.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  glib-devel gtk2+-devel pango-devel atk-devel libglade-devel
BuildRequires:  libxml2-devel cairo-devel libglademm-devel librsvg-devel
BuildRequires:  taglib-devel dbus-devel curl-devel fam-devel intltool
BuildRequires:  pkg-config xine-lib-devel gtkmm-devel glibmm-devel sqlite-devel
BuildRequires:  libSM-devel gstreamer10-devel libsexymm-devel libICE-devel
BuildRequires:	libX11-devel alsa-lib-devel hal-devel libsigc++-devel 
BuildRequires:	libstdc++-devel zlib-devel gst-plugins-base-devel
BuildRequires:	libofa-devel libsexy-devel boost-devel libsoup-devel
BuildRequires:	cairomm-devel libofa-devel fftw-devel
Requires:       gst-plugins-base gst-plugins-good desktop-file-utils

%description
Next generation Beep Media Player

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig
update-desktop-database

%postun
ldconfig
update-desktop-database

%prep
%setup -q -n %{name}-%{version}
%patch0
%patch1 -p1

%build
autoreconf
%configure 	--prefix=%_prefix \
	  	--enable-xine \
		--disable-sn --disable-hal
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
rm -rf $RPM_BUILD_ROOT/usr/bin/bmp2
ln -s /usr/bin/beep-media-player-2 $RPM_BUILD_ROOT/usr/bin/bmp2

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
/usr/libexec
%_libdir/bmpx
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 15 2008 Karsten Brovkmann <arcam@ccux-linux.de> 0.40.13-2
- rebuilt against libsoup 2.4
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.40.13-1
- version update
* Thu Oct 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.40.10-1
- version update
* Sun Aug 12 2007 Karsten Brovkmann <arcam@ccux-linux.de> 0.40.1-1
- Version update
* Fri Sep 29 2006 Karsten Brovkmann <arcam@ccux-linux.de> 0.13-3
- rebuilt against dbus 0.93
* Mon Sep 25 2006 Karsten Brovkmann <arcam@ccux-linux.de> 0.13-2
- rebuilt against X.org 7.1.1
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.13-1
- Version update
* Wed Nov 30 2005 Christian Wasem <wasem@ccux-linux.de> 0.12.9-2
- moved more files to devel, added --disable-sn to configure
* Wed Nov 30 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.12.9-1
- Initial Release
